# DataExchange
TKSTEP
StepAP203

# StepAP203_HArray1OfWorkItem Class Reference

`#include <StepAP203_HArray1OfWorkItem.hxx>`

## Public Member Functions

Standard_EXPORT | StepAP203_HArray1OfWorkItem (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepAP203_HArray1OfWorkItem (const Standard_Integer Low, const Standard_Integer Up, const StepAP203_WorkItem &V)
Standard_EXPORT void | Init (const StepAP203_WorkItem &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepAP203_WorkItem &Value)
const StepAP203_WorkItem & | Value (const Standard_Integer Index) const
StepAP203_WorkItem & | ChangeValue (const Standard_Integer Index)
const StepAP203_Array1OfWorkItem & | Array1 () const
StepAP203_Array1OfWorkItem & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepAP203_Array1OfWorkItem | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepAP203_HArray1OfWorkItem::StepAP203_HArray1OfWorkItem | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepAP203_HArray1OfWorkItem::StepAP203_HArray1OfWorkItem | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const StepAP203_WorkItem & | V
| ) |

## Member Function Documentation

const StepAP203_Array1OfWorkItem& StepAP203_HArray1OfWorkItem::Array1 | ( |  | ) | const

StepAP203_Array1OfWorkItem& StepAP203_HArray1OfWorkItem::ChangeArray1 | ( |  | ) |

StepAP203_WorkItem& StepAP203_HArray1OfWorkItem::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const StepAP203_HArray1OfWorkItem::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepAP203_HArray1OfWorkItem::Init | ( | const StepAP203_WorkItem & | V | ) |

Standard_Integer StepAP203_HArray1OfWorkItem::Length | ( |  | ) | const

Standard_Integer StepAP203_HArray1OfWorkItem::Lower | ( |  | ) | const

void StepAP203_HArray1OfWorkItem::SetValue | ( | const Standard_Integer | Index,
|  | const StepAP203_WorkItem & | Value
| ) |

Standard_Integer StepAP203_HArray1OfWorkItem::Upper | ( |  | ) | const

const StepAP203_WorkItem& StepAP203_HArray1OfWorkItem::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

StepAP203_Array1OfWorkItem StepAP203_HArray1OfWorkItem::myArray`[private]`

The documentation for this class was generated from the following file:

- StepAP203_HArray1OfWorkItem.hxx